#!/bin/bash
set -x

DATE=$(date "+%Y-%m-%dT%H:%M:%S")


libcap=$(pkg-config --libs --static libcap)
libpcap=$(pkg-config --libs --static libpcap)
dbus=$(pkg-config --libs --static dbus-1)
a="'"

eval "CGO_ENABLED=1 GOOS=linux GOARCH=amd64 go build -a -ldflags ${a}-X main.BuildDate=${DATE} -extldflags \"-static ${libpcap} ${dbus} ${libcap} -lc\"${a}"

if test -f denyip; then
    upx -9 denyip
fi
